## Version Information Version Information — Variables and macros to check the libsecret version |

## Functions

#define | SECRET_CHECK_VERSION()

## Types and Values

#define | SECRET_MAJOR_VERSION
#define | SECRET_MICRO_VERSION
#define | SECRET_MINOR_VERSION

## Includes

    #include <libsecret/secret.h>

## Description

## Functions

### SECRET_CHECK_VERSION()

    #define             SECRET_CHECK_VERSION(major, minor, micro)

#### Parameters

major | major version to be satisfied |
minor | minor version to be satisfied |
micro | micro version to be satisfied |

#### Returns

`TRUE` if using libsecret is newer than or equal to the given version

## Types and Values

### SECRET_MAJOR_VERSION

    #define             SECRET_MAJOR_VERSION

The major version of libsecret.

### SECRET_MICRO_VERSION

    #define             SECRET_MICRO_VERSION

The micro version of libsecret.

### SECRET_MINOR_VERSION

    #define             SECRET_MINOR_VERSION

The minor version of libsecret.